Subject: Re: git rebase -i <first_commit_in_repository>

From: Dirk Süsserott <[email-masked]>
Date: Mon, 26 Oct 2009 21:28:25 +0100

Am 26.10.2009 19:08 schrieb eschvoca:
> On Mon, Oct 26, 2009 at 1:25 PM, Erik Faye-Lund
> <[email-masked]> wrote:
>> On Mon, Oct 26, 2009 at 6:14 PM, eschvoca <[email-masked]> wrote:
>>> Hi,
>>>
>>> Is there a way to rewrite history, including the first commit.  It
>>> seems that the first commit can not be modified with a rebase.
>> This question is answered in the FAQ:
>> http://git.or.cz/gitwiki/GitFaq#HowdoIedittherootcommit.3F
>>
> 
> Thanks Eric.  Hopefully someone will enhance rebase to handle the root commit.

Hi,

probably my approach could help you in the future: When I create a new 
repo (git init) I firstly create an initial commit with nothing else 
than an initial commit, i.e.:

$ git init
$ echo "initial" > initial.commit
$ git add initial.commit
$ git commit -m "Initial commit"

and then secondly

$ git add .
$ git commit -m "*REAL* initial commit"

Afterwards I have a repo with an initial commit that only contains one 
file (initial.commit) and the "real" initial commits thereafter. Maybe 
that's a solution for you.

Cheers,
     Dirk